This URL provides Manager availability information to the user with basic details like MDR configuration.
Resource URL
GET /heartbeat
Request Parameters
None
Response Parameters
Field Name | Description | Data Type |
|---|---|---|
| MDR administrative status | String |
| Last updated timestamp | String |
| MDR peer IP address | String |
| MDR operational status | String |
| Down time switch over | String |
Example
Request
GET https://<NSM_IP>/sdkapi/heartbeat
Response
{
"mdrAdministrativeStatus": "Primary",
"mdrOperationalStatus": "Active",
"mdrPeerIpAddress": "172.16.232.97",
"downTimeForSwitchOver": "5 minutes",
"lastUpdatedTime": "2013-06-13 11:11:59"
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error code | SDK API errorId | errorMessage |
|---|---|---|---|
1 | 400 | 4501 | Unable to get the Manager details |